#!/bin/sh

#
# Line6 PODxt Pro USB driver - 0.3
#
# Copyright (C) 2005 Markus Grabner (grabner@icg.tu-graz.ac.at)
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation, version 2.
#

# stores all patches found in directory "./patches" on the PODxt Pro
# you might have to change the value of SYSDIR according to your system

SYSDIR=/sys/bus/usb/devices/1-1:1.0

function store_data
{
    for p in `ls data/${1}_???_*.pod`; do
	n=`echo $p | perl -e 'while(<>){s/.*?_(\d\d\d).*/$1/;print $_;}'`
	echo "storing $1 #$n $p"
	cp $p $SYSDIR/dump_buf
	echo $n > $SYSDIR/store_$1
    done

    echo > $SYSDIR/finish
    sleep 3.1
}

store_data channel
store_data effects_setup
store_data amp_setup
