#!/bin/sh

#
# Line6 PODxt Pro USB driver - 0.3
#
# Copyright (C) 2005 Markus Grabner (grabner@icg.tu-graz.ac.at)
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation, version 2.
#

# reads data from tuner
# you might have to change the value of SYSDIR according to your system

SYSDIR=/sys/bus/usb/devices/1-1:1.0

while /bin/true; do
    if	note=`cat $SYSDIR/tuner_note 2> /dev/null` &&
	pitch=`cat $SYSDIR/tuner_pitch 2> /dev/null` &&
	freq=`cat $SYSDIR/tuner_freq 2> /dev/null` &&
	mute=`cat $SYSDIR/tuner_mute 2> /dev/null`; then
	echo "note=$note, pitch=$pitch, freq=$freq, mute=$mute"
    else
	echo "tuner is off"
	usleep 100000
    fi
done
